# Function debug

- debug(formatter, ...args): void

- #### Parameters

  - formatter: any
  - `Rest`...args: any[]

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/debug.ts:3

#####
Index

### Properties

color
destroy
diff
enabled
extend
log
namespace

##
Properties

### color

color: string

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:42

### destroy

destroy: (() => boolean)

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:47

### diff

diff: number

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:43

### enabled

enabled: boolean

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:44

### extend

extend: ((namespace: string, delimiter?: string) => Debugger)

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:48

### log

log: ((...args: any[]) => any)

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:45

### namespace

namespace: string

- Defined in work/deeplinks/deeplinks/node_modules/@types/debug/index.d.ts:46